 <pre> <?php
  $data = $block->getData();
  print_r($data);

$apikey=$data["apikey"];
$merchantId = $data["merchantId"];
$accountId =$data["accountId"];
$description = "descripcion numero1";
$referenceCode =$data["referenceCode"];
$amount =$data["amount"];
$tax ="0";
$taxReturnBase =$data["taxReturnBase"];
$currency =$data["currency"];
$signature =$data["signature"];
$telephone = "312546";//$data["telephone"];
$shippingCity= "Aqui"; //$data["shippingCity"];
$buyerEmail =$data["email"];
$buyerFullName= "Bryan Viafara";//$data["buyerFullName"];
$shippingAddress="Calle 7 avenida 8";//$data["shippingAddress"];
$responseUrl ="https://magento.test/payu/confirmation/confirmation";
$confirmationUrl ="https://magento.test/payu/confirmation/confirmation";


?> </pre>

         <form class="form_pago_payu" method="post" action="https://sandbox.checkout.payulatam.com/ppp-web-gateway-payu/">
          <h3 class="titulo_h3_payu">por favor confirma tu pago </h3>
           <figure><img src="<?= $this->getViewFileUrl('AgSoftware_PayU::images/PAYU_LOGO_LIME.png')?>" alt="Logo de Payu"/></figure>
           <input name="merchantId"    type="hidden"  value="<?=$merchantId?>"   >
           <input name="apikey"    type="hidden"  value="<?=$apikey?>"   >

          <input name="accountId"     type="hidden"  value="<?=$accountId?>" >
           <input name="description"   type="hidden"  value="<?=$description?>"  >
          <input name="referenceCode" type="hidden"  value="<?=$referenceCode?>" >
           <input name="amount"        type="hidden"  value="<?=$amount?>" >
           <input name="tax"           type="hidden"  value="<?=$tax?>"  >
           <input name="taxReturnBase" type="hidden"  value="<?=$taxReturnBase?>" >
           <input name="currency"      type="hidden"  value="<?=$currency?>" >
           <input name="signature"     type="hidden"  value="<?=$signature?>"  >
         
           <input name="buyerEmail"    type="hidden"  value="<?=$buyerEmail?>" >
          <input name="responseUrl"    type="hidden"  value="<?=$responseUrl?>" >
         <!-- -->
          <input name="telephone"    type="hidden"  value="<?=$telephone?>" >
           <input name="shippingCity"    type="hidden"  value="<?=$shippingCity?>" >
           <input name="buyerFullName"    type="hidden"  value="<?=$buyerFullName?>" >
           <input name="shippingAddress"    type="hidden"  value="<?=$shippingAddress?>" >

           <input name="confirmationUrl"    type="hidden"  value="<?=$confirmationUrl?>" >
           <input name="Submit"        type="submit"  value="Pagar" class="boton_pago_payu" >
         </form>
        
           